/*------------------------------------*\
    
    Half & Half Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Half & Half Image + Text' block. 
    If there is any reasons why you would need to style this separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/

.flex-row {
    display: flex;
    flex-wrap: wrap;
}

.half-and-half-image, 
.half-and-half-text {
    position: relative;
    width: 100%;
    z-index: 1;
}

.half-and-half-text {
    padding: 60px 22px 30px;
}

.half-and-half-image {
    height: 275px;
}

.half-and-half-text__pattern {
    position: absolute;
    max-width: initial;
    width: 558px;
    height: 236px;
    object-fit: cover;
    object-position: top;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0);
    z-index: -1;
}

.half-and-half-text__wrapper .btn {
    margin-top: 10px;
}

@media (min-width: 768px) {
    .half-and-half {
        padding-bottom: 80px;
    }

    .half-and-half-text {
        padding: 80px 52px 40px;
    }
    
    .half-and-half-image {
        height: 320px;
        padding: 0 52px;
    }

    .half-and-half-image img {
        border-radius: 8px;
    }

    .half-and-half-text__pattern {
        width: 822px;
        height: 268px;
    }
    
    .half-and-half-text__wrapper .btn {
        margin-top: 15px;
    }
}
 
@media (min-width: 1200px) {
    
    .half-and-half-image {
        width: calc(50% - 123px);
    } 
    .half-and-half-text {
        width: calc(50% + 123px);
    }
    
    .half-and-half-image img {
        position: absolute;
    }

    .half-and-half {
        padding-top: 125px;
        padding-bottom: 125px;
    }
    
    .half-and-half-text {
        padding: 58px 63px;
    }

    .image-block-right .half-and-half-text {
        padding-right: 33px;
    }

    .image-block-left .half-and-half-text {
        padding-left: 33px;
    }
    
    .half-and-half-image {
        height: auto;
        padding: 0;
    }

    .half-and-half-text__wrapper {
        max-width: 722px;
        padding: 125px 0 60px 0;
    }

    .image-block-right .half-and-half-text__wrapper {
        margin-left: auto;
    }

    .image-block-right .half-and-half-image img {
        border-radius: 20px 0 0 20px;
    }

    .image-block-left .half-and-half-image img {
        border-radius: 0 20px 20px 0;
    }

    
    .half-and-half--fixed-image {
        padding-top: 85px;
        padding-bottom: 0;
    } 

    .half-and-half--fixed-image .half-and-half-image {
        width: calc(50% - 67px);
    } 
    .half-and-half--fixed-image .half-and-half-text {
        width: calc(50% + 67px);
    }

    .half-and-half--fixed-image .half-and-half-text {
        padding: 65px 63px 195px;
    }

    .image-block-right.half-and-half--fixed-image  .half-and-half-text {
        padding-right: 81px;
    }

    .image-block-left.half-and-half--fixed-image  .half-and-half-text {
        padding-left: 81px;
    }
    

    .half-and-half--fixed-image .half-and-half-text__wrapper {
        max-width: 615px;
        padding: 0 0 0 0;
    }

    .half-and-half-text__pattern {
        width: 1083px;
        height: 575px;
        transform: translate(0, 0);
        bottom: 45px;
        left: -514px;
    }
  
    .half-and-half-text__wrapper .btn {
        margin-top: 20px;
    }

    .half-and-half--fixed-image {
        position: relative;
        z-index: 1;
    }

    .half-and-half--fixed-image::before {
        content: '';
        position: absolute;
        width: 100%;
        height: 45px;
        bottom: 0;
        left: 0;
        background: #F4EFE8;
    }

    .half-and-half--fixed-image:has(+ .bg-maroon)::before {
        background: #4B1007;
    }

    .half-and-half--fixed-image:has(+ .bg-rose-pink)::before {
        background: #F0E4DE;
    }

}
